%define fw_version 5.41

Summary:	KDE Frameworks 5 high-level multithreading framework
Name:		threadweaver
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Url:		https://www.kde.org/
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 high-level multithreading framework.

#--------------------------------------------------------------------

%define kf5threadweaver_major 5
%define libkf5threadweaver %mklibname kf5threadweaver %{kf5threadweaver_major}

%package -n %{libkf5threadweaver}
Summary:	KDE Frameworks 5 high-level multithreading framework shared library
Group:		System/Libraries

%description -n %{libkf5threadweaver}
KDE Frameworks 5 high-level multithreading framework shared library.

%files -n %{libkf5threadweaver}
%{_kde5_libdir}/libKF5ThreadWeaver.so.%{kf5threadweaver_major}*

#--------------------------------------------------------------------

%define devkf5threadweaver %mklibname kf5threadweaver -d

%package -n %{devkf5threadweaver}
Summary:	Development files for KDE Frameworks 5 ThreadWeaver
Group:		Development/KDE and Qt
Requires:	%{libkf5threadweaver} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5threadweaver-devel = %{version}

%description -n %{devkf5threadweaver}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5threadweaver}
%{_kde5_includedir}/KF5/ThreadWeaver
%{_kde5_includedir}/KF5/threadweaver_version.h
%{_kde5_libdir}/cmake/KF5ThreadWeaver
%{_kde5_libdir}/libKF5ThreadWeaver.so
%{_kde5_mkspecsdir}/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (bdcb45a) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (2b1304b) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (bb53bb3) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (6da246d) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (f7918ce) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (b1fc4d4) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (a5776a4) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (4f86ee4) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (025ea59) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (28e1615) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (c06b0b2) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (a543a36) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (de7be1b) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (ba434de) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (4021e34) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (b06e6e4) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (74cb983) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (bbdab7c) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (19cd018) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (ac98c75) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (5b0d817) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (7554921) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (c33b287) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (17f9ee9) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (3cba965) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (8ee0ee5) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (ed8a086) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (ae925d4) New version 5.8.0

* Fri Mar 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-3
- (bede380) MassBuild#682: Increase release tag

* Thu Mar 05 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.0-2
- (44b2ccd) Adjust devel package Provides and headers directory


